Bug 1933564 - Don't BuildRequires xorg-x11-font-utils
Summary: Don't BuildRequires xorg-x11-font-utils
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: baekmuk-ttf-fonts
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1932731
TreeView+ depends on / blocked
 
Reported: 2021-03-01 05:49 UTC by Peter Hutterer
Modified: 2021-03-19 19:59 UTC (History)
18 users (show)

Fixed In Version: baekmuk-ttf-fonts-2.2-54.fc35 baekmuk-ttf-fonts-2.2-54.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1933565 (view as bug list)
Environment:
Last Closed: 2021-03-02 11:19:38 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Peter Hutterer 2021-03-01 05:49:07 UTC
We need mkfontdir which is already separate Provides by xorg-x11-font-utils. xorg-x11-font-utils which is to be split up into multiple packages, see Bug 1932731, so let's get our BuildRequires to work smoothly across that change.

Suggested diff:

diff --git a/baekmuk-ttf-fonts.spec b/baekmuk-ttf-fonts.spec
index 1ccddd7..1086b21 100644
--- a/baekmuk-ttf-fonts.spec
+++ b/baekmuk-ttf-fonts.spec
@@ -28,7 +28,8 @@ Obsoletes:      fonts-korean <= 2.2-23
 Provides:       fonts-korean = %{version}-%{release}
 
 BuildArch:      noarch
-BuildRequires:  fontpackages-devel >= 1.13 , xorg-x11-font-utils
+BuildRequires:  fontpackages-devel >= 1.13
+BuildRequires:  mkfontdir
 BuildRequires:  ttmkfdir >= 3.0.6
 
 %description


Verified successful build in a local F33 container with only the mkfontscale (Bug 1932734) packages installed, no xorg-x11-font-utils.

Comment 1 Kevin Kofler 2021-03-01 12:59:05 UTC
Why am I CCed on this bug? I don't comaintain this package. You added many unnecessary CCs.

Comment 2 Fedora Update System 2021-03-02 11:19:38 UTC
FEDORA-2021-f3336edd3c has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2021-03-02 11:45:41 UTC
FEDORA-2021-9660787a95 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9660787a95

Comment 4 Peng Wu 2021-03-02 11:50:11 UTC
Okay, built the package for Fedora 34 and 35.

Comment 5 Fedora Update System 2021-03-03 15:43:32 UTC
FEDORA-2021-9660787a95 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-9660787a95`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9660787a95

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-03-19 17:43:24 UTC
FEDORA-2021-9660787a95 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2021-03-19 19:59:33 UTC
FEDORA-2021-9660787a95 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.